Compare commits

..

No commits in common. "d41ba60101fd4b41d7aef9f20be7f96cea0be41d" and "a1cd78b7e5a9df339567ddf0d7402990c876731e" have entirely different histories.

8 changed files with 36 additions and 97 deletions

View File

@ -3,14 +3,13 @@
#
#/
#/ Usage:
#/ check-disk.sh --warning=<level> --critical=<level> --help
#/ check-disk.sh --warning=<level> --critical=<level>
#/
#/ Checks the disk usage
#/
#/ Options:
#/ -w, --warning=<level> The level of when to trigger a warning (level=loadavg/nproc)
#/ -c, --critical=<level> The level of when to trigger a critical warning (level=loadavg/nproc)
#/ -h, --help Display this help message
#/
#/ Exit Codes:
#/ 0 Everything OK
@ -26,8 +25,8 @@ Usage() {
GetOptions() {
# https://stackoverflow.com/a/29754866
OPTIONS=w:c:h
LONGOPTS=warning:,critical:,help
OPTIONS=w:c:
LONGOPTS=warning:,critical:
# -use ! and PIPESTATUS to get exit code with errexit set
# -temporarily store output to be able to check for errors
@ -55,9 +54,6 @@ GetOptions() {
crit="$2"
shift 2
;;
-h|--help)
Usage
exit 0;
--)
shift
break

View File

@ -3,23 +3,13 @@
#
#/
#/ Usage:
#/ check-dummy.sh [--ok|--warning|--critical] --help
#/ check-dummy.sh
#/
#/ Does not check anything.
#/
#/ Options:
#/ -o, --ok Trigger a OK status (default)
#/ -w, --warning Trigger a warning
#/ -c, --critical Trigger a critical warning
#/ -u, --unknown Trigger a unknown status
#/ -h, --help Display this help message
#/ Does not check anything. Always gives OK!
#/
#/
#/ Exit Codes:
#/ 0 Everything OK
#/ 1 Warning level exceeded
#/ 2 Critical level exceeded
#/ 3 Unknown status
#/
Usage() {
@ -28,8 +18,8 @@ Usage() {
GetOptions() {
# https://stackoverflow.com/a/29754866
OPTIONS='owcuh'
LONGOPTS='ok,warning,critical,unknown,help'
OPTIONS=''
LONGOPTS=''
# -use ! and PIPESTATUS to get exit code with errexit set
# -temporarily store output to be able to check for errors
@ -40,6 +30,7 @@ GetOptions() {
# e.g. return value is 1
# then getopt has complained about wrong arguments to stdout
Usage
exit 2
fi
# read getopt's output this way to handle the quoting right:
@ -48,45 +39,23 @@ GetOptions() {
# now enjoy the options in order and nicely split until we see --
while true; do
case "$1" in
-o|--ok)
rval=0
rmsg="OK"
shift
;;
-w|--warning)
rval=1
rmsg="WARNING"
shift
;;
-c|--critical)
rval=2
rmsg="CRITICAL"
shift
;;
-u|--unknown)
rval=3
rmsg="UNKNOWN"
shift
;;
-h|--help)
Usage
exit 0;
--)
shift
break
;;
*)
echo "DUMMY UNKNOWN - ${1} is not a valid parameter"
echo "URL UNKNOWN - ${1} is not a valid parameter"
exit 3
;;
esac
done
}
script_name=$(basename "${0}")
script_dir=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
rval=0
rmsg="OK"
GetOptions "$@"
echo "DUMMY $rmsg"
exit $rval
if [ -z ${1+x} ]; then
echo "URL UNKNOWN - url not given"
exit 3
else
url=${1}
fi
}
echo "DUMMY OK"
exit 0

View File

@ -3,7 +3,7 @@
#
#/
#/ Usage:
#/ check-load.sh --warning=<level> --critical=<level> --average=<level> --help
#/ check-load.sh --warning=<level> --critical=<level> --average=<level>
#/
#/ Checks the system load
#/
@ -11,7 +11,6 @@
#/ -w, --warning=<level> The level of when to trigger a warning (level=loadavg/nproc)
#/ -c, --critical=<level> The level of when to trigger a critical warning (level=loadavg/nproc)
#/ -a, --average=<average> Which avarage to use for the load level (possible values are 1, 5 and 15)
#/ -h, --help Display this help message
#/
#/ Exit Codes:
#/ 0 Everything OK
@ -27,8 +26,8 @@ Usage() {
GetOptions() {
# https://stackoverflow.com/a/29754866
OPTIONS=w:c:a:h
LONGOPTS=warning:,critical:,avarage:,help
OPTIONS=w:c:a:
LONGOPTS=warning:,critical:,avarage:
# -use ! and PIPESTATUS to get exit code with errexit set
# -temporarily store output to be able to check for errors
@ -64,9 +63,6 @@ GetOptions() {
check="$2"
shift 2
;;
-h|--help)
Usage
exit 0;
--)
shift
break

View File

@ -3,14 +3,13 @@
#
#/
#/ Usage:
#/ check-md.sh --warning=<events> --critical=<events> --help <md-device>
#/ check-md.sh --warning=<events> --critical=<events> <md-device>
#/
#/ Checks the raid-device status
#/
#/ Options:
#/ -w, --warning=<events> The events of when to trigger a warning (comma-separated)
#/ -c, --critical=<events> The events of when to trigger a critical warning (comma-separated)
#/ -h, --help Display this help message
#/
#/ Possible events
#/ - clean
@ -32,8 +31,8 @@ Usage() {
GetOptions() {
# https://stackoverflow.com/a/29754866
OPTIONS=w:c:h
LONGOPTS=warning:,critical:,help
OPTIONS=w:c:
LONGOPTS=warning:,critical:
# -use ! and PIPESTATUS to get exit code with errexit set
# -temporarily store output to be able to check for errors
@ -66,9 +65,6 @@ GetOptions() {
IFS=$OLDIFS
shift 2
;;
-h|--help)
Usage
exit 0;
--)
shift
break

View File

@ -3,14 +3,13 @@
#
#/
#/ Usage:
#/ check-memory.sh --warning=<level> --critical=<level> --help
#/ check-memory.sh --warning=<level> --critical=<level>
#/
#/ Checks the memory usage
#/
#/ Options:
#/ -w, --warning=<level> The level of when to trigger a warning (level=loadavg/nproc)
#/ -c, --critical=<level> The level of when to trigger a critical warning (level=loadavg/nproc)
#/ -h, --help Display this help message
#/
#/ Exit Codes:
#/ 0 Everything OK
@ -26,8 +25,8 @@ Usage() {
GetOptions() {
# https://stackoverflow.com/a/29754866
OPTIONS=w:c:h
LONGOPTS=warning:,critical:,help
OPTIONS=w:c:
LONGOPTS=warning:,critical:
# -use ! and PIPESTATUS to get exit code with errexit set
# -temporarily store output to be able to check for errors
@ -55,9 +54,6 @@ GetOptions() {
crit="$2"
shift 2
;;
-h|--help)
Usage
exit 0;
--)
shift
break

View File

@ -3,11 +3,10 @@
#
#/
#/ Usage:
#/ check-systemctl-service.sh --help <unit-file>
#/ check-systemctl-service.sh <unit-file>
#/
#/ Options:
#/ -u, --user Check for running within current user
#/ -h, --help Display this help message
#/
#/ Checks if a systemd unit is active
#/
@ -24,8 +23,8 @@ Usage() {
GetOptions() {
# https://stackoverflow.com/a/29754866
OPTIONS=uh
LONGOPTS=user,help
OPTIONS=u
LONGOPTS=user
# -use ! and PIPESTATUS to get exit code with errexit set
# -temporarily store output to be able to check for errors
@ -49,9 +48,6 @@ GetOptions() {
user='--user'
shift 1
;;
-h|--help)
Usage
exit 0;
--)
shift
break
@ -73,8 +69,6 @@ GetOptions() {
user=''
service=''
LC_NUMERIC="C"
script_name=$(basename "${0}")
script_dir=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
GetOptions "$@"
if [[ $(systemctl ${user} list-unit-files "${service}*" | wc -l) -gt 3 ]]; then

View File

@ -3,7 +3,7 @@
#
#/
#/ Usage:
#/ check-url.sh --proxy=<proxy-url> --warning=<level> --critical=<level> --help <URL>
#/ check-url.sh --proxy=<proxy-url> --warning=<level> --critical=<level> <URL>
#/
#/ Checks if URL is available
#/
@ -11,7 +11,6 @@
#/ -p, --proxy=<proxy-url> The proxy server to use
#/ -w, --warning=<sec> The amount of response time to trigger a warning (in sec)
#/ -c, --critical=<sec> The amount of response time to trigger a critcal warning (in sec)
#/ -h, --help Display this help message
#/
#/ Exit Codes:
#/ 0 Everything OK
@ -27,8 +26,8 @@ Usage() {
GetOptions() {
# https://stackoverflow.com/a/29754866
OPTIONS=p:w:c:h
LONGOPTS=proxy:,warning:,critical:,help
OPTIONS=p:w:c:
LONGOPTS=proxy:,warning:,critical:
# -use ! and PIPESTATUS to get exit code with errexit set
# -temporarily store output to be able to check for errors
@ -60,9 +59,6 @@ GetOptions() {
crit="$2"
shift 2
;;
-h|--help)
Usage
exit 0;
--)
shift
break

View File

@ -3,7 +3,7 @@
#
#/
#/ Usage:
#/ check-webcron.sh --proxy=<proxy-url> [--daemon] --warning=<level> --critical=<level> --help <URL>
#/ check-webcron.sh --proxy=<proxy-url> [--daemon] --warning=<level> --critical=<level> <URL>
#/
#/ Checks webcron jobs
#/
@ -12,7 +12,6 @@
#/ -d, --daemon When no daemon is running trigger a critical warning
#/ -w, --warning=<ratio> The ratio of failed jobs to trigger a warning (1 = all jobs; 0.5 = half of all jobs)
#/ -c, --critical=<ratio> The ratio of failed jobs to trigger a critcal warning (1 = all jobs; 0.5 = half of all jobs)
#/ -h, --help Display this help message
#/
#/ Exit Codes:
#/ 0 Everything OK
@ -28,8 +27,8 @@ Usage() {
GetOptions() {
# https://stackoverflow.com/a/29754866
OPTIONS=p:dw:c:h
LONGOPTS=proxy:,daemon,warning:,critical:,help
OPTIONS=p:dw:c:
LONGOPTS=proxy:,daemon,warning:,critical:
# -use ! and PIPESTATUS to get exit code with errexit set
# -temporarily store output to be able to check for errors
@ -64,9 +63,6 @@ GetOptions() {
crit="$2"
shift 2
;;
-h|--help)
Usage
exit 0;
--)
shift
break